[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.OnShow

Handler called when the form becomes visible.

## Declaration

Source position: forms.pp line 809

`public property TCustomForm.OnShow : TNotifyEvent read FOnShow write FOnShow;`

## Description

OnShow is a TNotifyEvent property with the event handler signalled (when assigned) when the form becomes visible. It is signalled from the DoShow method when the CM_SHOWINGCHANGED control messages is handled for the form, and when queued OnResize and OnChangeBounds events are executed for the form.

Create and assign a procedure to OnShow to perform any actions needed when the Visible property for the form is set to True.